Subject: bug#24622: closed (Re: bug#24622: 26.0.50; lisp-fill-paragraph broken)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Oct 2017 19:13:02 +0000

Your bug report

#24622: 26.0.50; lisp-fill-paragraph broken

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24622: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24622
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24622: 26.0.50; lisp-fill-paragraph broken
From: Alex <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 22 Oct 2017 13:11:47 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Alex <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sun, 22 Oct 2017 02:10:47 -0600
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Since there were no more comments, please push to the release branch.
>> >
>> > Thanks.
>> 
>> I added some tests to the patch. Is the following acceptable?
>
> Yes, thanks.

Okay, pushed to emacs-26 as a012ec766c9d9bac0a56e814589a4b3b93311c28.

>> I added in a reference to bug#28937, which I just reported. Fixing that
>> would fix also fix this bug, but that solution might not be ready for
>> Emacs 26.
>
> If you intend to solve this differently on master, and you think you
> will do that soon, you can indicate that this patch should not be
> merged to master.

Thanks for the tip, but I likely won't get to it soon. I think this
should be merged to master in the meantime.

Subject: 26.0.50; lisp-fill-paragraph broken
From: martin rudalics <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Wed, 05 Oct 2016 19:22:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This commit

commit 866e3c050fe64fee81f29a335a50a11b2562422e
Author: Lars Ingebrigtsen <[email-masked]>
Date:   Thu Apr 28 12:05:15 2016 +0200

     Don't consider colons to be paragraphs starting chars in strings

     * lisp/emacs-lisp/lisp-mode.el (lisp-fill-paragraph): Don't
     consider colons to start paragraphs in (doc) strings
     (bug#7751).

breaks filling doc-strings of defcustoms.  As an example consider the
defcustom of ‘window-min-height’ in window.el:

(defcustom window-min-height 4
   "The minimum total height, in lines, of any window.
The value has to accommodate one text line, a mode and header
line, a horizontal scroll bar and a bottom divider, if present.
A value less than `window-safe-min-height' is ignored.  The value
of this variable is honored when windows are resized or split.

Applications should never rebind this variable.  To resize a
window to a height less than the one specified here, an
application should instead call `window-resize' with a non-nil
IGNORE argument.  In order to have `split-window' make a window
shorter, explicitly specify the SIZE argument of that function."
   :type 'integer
   :version "24.1"
   :group 'windows)

Put point at the beginning of the last line of the doc-string and do

M-: (fill-paragraph)

This gets me here

(defcustom window-min-height 4
   "The minimum total height, in lines, of any window.
The value has to accommodate one text line, a mode and header
line, a horizontal scroll bar and a bottom divider, if present.
A value less than `window-safe-min-height' is ignored.  The value
of this variable is honored when windows are resized or split.

Applications should never rebind this variable.  To resize a
window to a height less than the one specified here, an
application should instead call `window-resize' with a non-nil
IGNORE argument.  In order to have `split-window' make a window
shorter, explicitly specify the SIZE argument of that function."
:type 'integer :version "24.1" :group 'windows)

martin